=== modified file 'drizzled/functions/Makefile.am'
--- drizzled/functions/Makefile.am	2008-12-05 02:08:41 +0000
+++ drizzled/functions/Makefile.am	2008-12-05 06:26:57 +0000
@@ -34,7 +34,6 @@
 		  cos.cc \
 		  decimal_typecast.cc \
 		  divide.cc \
-		  eval_const_cond.cc \
 		  exp.cc \
 		  get_user_var.cc \
 		  get_variable.cc \

=== removed file 'drizzled/functions/eval_const_cond.cc'
--- drizzled/functions/eval_const_cond.cc	2008-12-02 05:31:51 +0000
+++ drizzled/functions/eval_const_cond.cc	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include <drizzled/functions/func.h>
-#include CSTDINT_H
-
-/**
-  @return
-    true if item is a constant
-*/
-
-bool
-eval_const_cond(COND *cond)
-{
-  return ((Item_func*) cond)->val_int() ? true : false;
-}
-
-

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2008-12-03 23:44:32 +0000
+++ drizzled/server_includes.h	2008-12-05 06:26:57 +0000
@@ -59,10 +59,6 @@
 #define is_schema_db(X) \
   !my_strcasecmp(system_charset_info, INFORMATION_SCHEMA_NAME.str, (X))
 
-/* sql_calc.cc */
-bool eval_const_cond(COND *cond);
-
-
 /* sql_test.cc */
 void print_where(COND *cond,const char *info, enum_query_type query_type);
 void print_cached_tables(void);

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-12-04 01:59:53 +0000
+++ drizzled/sql_select.cc	2008-12-05 06:26:57 +0000
@@ -234,6 +234,12 @@
 static bool replace_where_subcondition(JOIN *join, Item *old_cond, 
                                        Item *new_cond, bool fix_fields);
 
+static bool eval_const_cond(COND *cond)
+{
+    return ((Item_func*) cond)->val_int() ? true : false;
+}
+
+
 /*
   This is used to mark equalities that were made from i-th IN-equality.
   We limit semi-join InsideOut optimization to handling max 64 inequalities,

